Tasks
All operations require authentication.
2 operationsv1/saas/csp2
List tasksAlpha
GET
/1.0/ saas/ csp2/ {serviceName}/ task
Returns the IDs of the pending tasks of the tenant.
Path parameters
service Name
required
string
Service name
Response
200integer []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskAlpha
GET
/1.0/ saas/ csp2/ {serviceName}/ task/ {id}
Returns the function, status, creation date and completion date of the task.
Path parameters
id
required
integer
Id
service Name
required
string
Service name
Response
200Office Tasksuccessful operation
finish Date
read-only
stringdate-time
Completion date
function
read-only
string
Function name
id
read-only
integer
Unique identifier of the task
status
read-only
Task Status Enum
Task state
Values
cancelleddoingdoneerrortodotodo Date
read-only
stringdate-time
Creation date
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ task/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}